org.apache.cassandra.cql3

## Class Constants

- java.lang.Object
- - org.apache.cassandra.cql3.Constants

    public abstract class Constants
    extends java.lang.Object

Static helper methods and classes for constants.

### Nested Class Summary

Nested Classes
`static class` `Constants.Adder`
`static class` `Constants.Deleter`
`static class` `Constants.Literal`
`static class` `Constants.Marker`
`static class` `Constants.Setter`
`static class` `Constants.Substracter`
`static class` `Constants.Type`
`static class` `Constants.Value` A constant value, i.e.

### Field Summary

Fields
`static Term.Raw` `NULL_LITERAL`
`static Term.Terminal` `NULL_VALUE`
`static Constants.Value` `UNSET_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSET_VALUE

    public static final Constants.Value UNSET_VALUE

#### NULL_LITERAL

    public static final Term.Raw NULL_LITERAL

#### NULL_VALUE

    public static final Term.Terminal NULL_VALUE

### Constructor Detail

#### Constants

    public Constants()